Skip to content

Organize PDF

Easily reorder, rotate, and delete pages in your PDF files with our free online visual organizer. Perfect for arranging your documents.

1 credit per conversionOutput: .pdfTry on web

Accepted formats

.pdf

Parameters

NameTypeRequiredDescription
files[]fileYesFile(s) to convert
page_orderstringYesPage order (e.g. 3,1,2)

Code example

curl -X POST "https://gurupdf.com/api/v1/convert/organize-pdf" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -F "files[]=@/path/to/document.pdf"

Related tools